summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Michael Bueker <m.bueker@berlin.de>2010-05-11 13:59:51 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 13:59:51 +0200
commit3676aff5fb454883e1f00bb27deffd1319867ba5 (patch)
tree57f1c8bbb456cf898fb22ee11b52faaf1819d01e
parent5f390e4aa58defd35a58eb1e84ba6efde6fd85f7 (diff)
downloadslackbuilds-3676aff5fb454883e1f00bb27deffd1319867ba5.tar.gz
slackbuilds-3676aff5fb454883e1f00bb27deffd1319867ba5.tar.xz
academic/stellarium: Initial import
-rw-r--r--academic/stellarium/README7
-rw-r--r--academic/stellarium/slack-desc8
-rw-r--r--academic/stellarium/stellarium.SlackBuild80
-rw-r--r--academic/stellarium/stellarium.info8
4 files changed, 103 insertions, 0 deletions
diff --git a/academic/stellarium/README b/academic/stellarium/README
new file mode 100644
index 0000000000..c4dd8fbf2e
--- /dev/null
+++ b/academic/stellarium/README
@@ -0,0 +1,7 @@
+Stellarium shows a realistic sky in 3D, just like what
+you see with the naked eye, binoculars or a telescope.
+It is being used in planetarium projectors. Just set
+your coordinates and go.
+
+For reasonable performance, you will want to have some
+kind of 3D acceleration.
diff --git a/academic/stellarium/slack-desc b/academic/stellarium/slack-desc
new file mode 100644
index 0000000000..1146d794bd
--- /dev/null
+++ b/academic/stellarium/slack-desc
@@ -0,0 +1,8 @@
+stellarium: Stellarium (Virtual planetarium)
+stellarium:
+stellarium: Stellarium shows a realistic sky in 3D, just like what
+stellarium: you see with the naked eye, binoculars or a telescope.
+stellarium: It is being used in planetarium projectors. Just set
+stellarium: your coordinates and go.
+stellarium:
+stellarium:
diff --git a/academic/stellarium/stellarium.SlackBuild b/academic/stellarium/stellarium.SlackBuild
new file mode 100644
index 0000000000..e355725a45
--- /dev/null
+++ b/academic/stellarium/stellarium.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for stellarium
+
+# Copyright 2007 Michael Bueker <m.bueker@berlin.de>
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+set -e
+
+PRGNAM=stellarium
+VERSION=0.8.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "athlonxp" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=athlon-xp"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+
+make
+make install-strip DESTDIR=$PKG
+
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+ )
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README TODO doc/developer_guide.tex $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/academic/stellarium/stellarium.info b/academic/stellarium/stellarium.info
new file mode 100644
index 0000000000..54fa9d3bbe
--- /dev/null
+++ b/academic/stellarium/stellarium.info
@@ -0,0 +1,8 @@
+PRGNAM="stellarium"
+VERSION="0.8.2"
+HOMEPAGE="http://www.stellarium.org"
+DOWNLOAD="http://dl.sourceforge.net/stellarium/stellarium-0.8.2.tar.gz"
+MD5SUM="8f4bcfcf6ad74ab57f1a9fc4f3927527"
+MAINTAINER="Michael Bueker"
+EMAIL="m.bueker@berlin.de"
+APPROVED="BP{kn}"